require 'highline/system_extensions'

module Tagline
  class CharacterReader
    include HighLine::SystemExtensions

    def self.run_loop(*args)
      new(*args).run_loop
    end

    UP = 72
    DOWN = 80
    N = 110
    CTRL_X = 24

    def run_loop
      before_loop
      loop do
        case char = get_character.ord
        when UP
          up_key
        when DOWN
          down_key
        when N
          n_key
        when CTRL_X
          break
        else
          tag(char)
        end
      end
    ensure
      after_loop
      exit
    end
  end
end
