module Tagline
  class Line
    extend Forwardable
    attr_reader :text
    def_delegators :tags, :[], :[]=

    def initialize(text)
      @text = text
      @tags = Hash.new(false)
    end

    def toggle(tag)
      self[tag] = !self[tag]
    end

    private

    attr_reader :tags
  end
end
