require 'tagline/line'

module Tagline
  class LineManager
    extend Forwardable
    attr_reader :lines

    def initialize(filename)
      @lines = File.read(filename).split("\n").map do |line|
        Line.new(line)
      end
    end

    def line
      lines[i]
    end

    def next_line
      @i = (i + 1) % length
    end

    def previous_line
      @i = (i - 1) % length
    end

    private

    def_delegator :lines, :length

    def i
      @i ||= 0
    end
  end
end
